## org.codehaus.groovy.grails.web.binding
Class DataBindingLazyMetaPropertyMap

    java.lang.Object
      org.codehaus.groovy.grails.commons.metaclass.LazyMetaPropertyMap
          org.codehaus.groovy.grails.web.binding.DataBindingLazyMetaPropertyMap

All Implemented Interfaces:
  Map

    public class DataBindingLazyMetaPropertyMap

extends LazyMetaPropertyMap

Extends the default implementation and does data binding

Since:
  1.1
Author:
  Graeme Rocher

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`Map.Entry<K,V>`

Constructor Summary
`DataBindingLazyMetaPropertyMap(Object o)` Constructs the map

Method Summary
`Object` `put(Object propertyName, Object propertyValue)`

Methods inherited from class org.codehaus.groovy.grails.commons.metaclass.LazyMetaPropertyMap
`clear, containsKey, containsValue, entrySet, equals, get, getInstance, hashCode, isEmpty, keySet, putAll, remove, size, values`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataBindingLazyMetaPropertyMap

    public DataBindingLazyMetaPropertyMap(Object o)

  Constructs the map

  Parameters:
    `o` - The object to inspect

Method Detail

### put

    public Object put(Object propertyName,
                      Object propertyValue)

  Specified by:
    `put` in interface `Map`
  Overrides:
    `put` in class `LazyMetaPropertyMap`

Copyright (c) 2005-2009 The Grails project